package org.example.demo.uebung5.aufgabe21;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.enterprise.inject.Produces;
import jakarta.enterprise.inject.spi.InjectionPoint;
import jakarta.inject.Singleton;
import org.jboss.logging.Logger;

@ApplicationScoped
public class LoggerProducer {

    @Produces
    public Logger produceLogger(InjectionPoint ip) {
        // Ermittelt die Klasse, in die der Logger injiziert wird
        Class<?> targetClass = ip.getMember().getDeclaringClass();
        return Logger.getLogger(targetClass);
    }
}
